## kf6-ktexteditor 6.20.0+p24.04+vunstable+git20251202.1012

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)

set(KF_VERSION "6.21.0") # handled by release scripts
set(KF_DEP_VERSION "6.20.0") # handled by release scripts
project(KTextEditor VERSION ${KF_VERSION})

# ECM setup
include(FeatureSummary)
find_package(ECM 6.20.0  NO_MODULE)
set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://commits.kde.org/extra-cmake-modules")
feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)

# add own modules to search path, too
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${CMAKE_CURRENT_SOURCE_DIR}/cmake)

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDEFrameworkCompilerSettings NO_POLICY_SCOPE)
include(KDEGitCommitHooks)

include(ECMSetupVersion)
include(ECMGenerateHeaders)
include(ECMGenerateExportHeader)
include(ECMGenerateQDoc)
include(CMakePackageConfigHelpers)
include(CheckFunctionExists)
include(CheckSymbolExists)
include(KDEPackageAppTemplates)
include(GenerateExportHeader)
include(ECMQtDeclareLoggingCategory)
include(ECMDeprecationSettings)

option(ENABLE_PCH "Enable Precompiled Headers support" ON)

if (NOT WIN32 AND NOT HAIKU)
    set(ENABLE_KAUTH_DEFAULT ON)
else()
    set(ENABLE_KAUTH_DEFAULT OFF)
endif()
option(ENABLE_KAUTH "Enable KAuth integration" ${ENABLE_KAUTH_DEFAULT})
add_feature_info(KAUTH ${ENABLE_KAUTH} "KAuth integration for editing system files")

set(ktexteditor_version_header "${CMAKE_CURRENT_BINARY_DIR}/src/ktexteditor_version.h")
ecm_setup_version(
  PROJECT
  VARIABLE_PREFIX KTEXTEDITOR
  VERSION_HEADER "${ktexteditor_version_header}"
  PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KF6TextEditorConfigVersion.cmake"
  SOVERSION 6
)

# Dependencies
set(REQUIRED_QT_VERSION 6.8.0)

# Required Qt components to build this framework
find_package(Qt6 ${REQUIRED_QT_VERSION} NO_MODULE REQUIRED Core Widgets Qml PrintSupport TextToSpeech)

# Required Frameworks
find_package(KF6Archive ${KF_DEP_VERSION} REQUIRED)
find_package(KF6Config ${KF_DEP_VERSION} REQUIRED)
find_package(KF6GuiAddons ${KF_DEP_VERSION} REQUIRED)
find_package(KF6I18n ${KF_DEP_VERSION} REQUIRED)
find_package(KF6KIO ${KF_DEP_VERSION} REQUIRED)
find_package(KF6Parts ${KF_DEP_VERSION} REQUIRED)
find_package(KF6Sonnet ${KF_DEP_VERSION} REQUIRED)
find_package(KF6SyntaxHighlighting ${KF_DEP_VERSION} REQUIRED)
find_package(KF6ColorScheme ${KF_DEP_VERSION} REQUIRED)

if (ENABLE_KAUTH)
    find_package(KF6Auth ${KF_DEP_VERSION} REQUIRED)
    set(HAVE_KAUTH ${KF6Auth_FOUND})
else()
    set(HAVE_KAUTH FALSE)
endif()

# EditorConfig integration
find_package(EditorConfig)

# forbid some old things
set(EXCLUDE_DEPRECATED_BEFORE_AND_AT 0 CACHE STRING "Control the range of deprecated API excluded from the build [default=0].")
ecm_set_disabled_deprecation_versions(
    QT 6.3
    KF 6.19
)

# define which offscreen platform plugin to use for tests
set(OFFSCREEN_QPA "-platform" "offscreen")

# Subdirectories
add_definitions(-DTRANSLATION_DOMAIN=\"ktexteditor6\")
ki18n_install(po)

add_subdirectory(src)
if (BUILD_TESTING)
    add_subdirectory(autotests)
endif()
add_subdirectory(templates)

# Create a Config.cmake and a ConfigVersion.cmake file and install them
set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KF6TextEditor")

configure_package_config_file(
  "${CMAKE_CURRENT_SOURCE_DIR}/KF6TextEditorConfig.cmake.in"
  "${CMAKE_CURRENT_BINARY_DIR}/KF6TextEditorConfig.cmake"
  INSTALL_DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
)

install(FILES
  "${CMAKE_CURRENT_BINARY_DIR}/KF6TextEditorConfig.cmake"
  "${CMAKE_CURRENT_BINARY_DIR}/KF6TextEditorConfigVersion.cmake"
  DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
  COMPONENT Devel
)

install(EXPORT
  KF6TextEditorTargets
  DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
  FILE KF6TextEditorTargets.cmake
  NAMESPACE KF6::
)

install(FILES
  "${ktexteditor_version_header}"
  DESTINATION "${KDE_INSTALL_INCLUDEDIR_KF}/KTextEditor"
  COMPONENT Devel
)

# config.h
check_symbol_exists (fdatasync unistd.h HAVE_FDATASYNC)
configure_file (config.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config.h)

# let our config.h be found first in any case
include_directories (BEFORE ${CMAKE_CURRENT_BINARY_DIR})

include(ECMFeatureSummary)
ecm_feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)

=== debian/changelog ===
kf6-ktexteditor (6.20.0+p24.04+vunstable+git20251202.1012-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 02 Dec 2025 10:12:55 +0000

kf6-ktexteditor (6.20.0-0neon) Noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 22 Nov 2025 15:33:48 +1000

## kf6-ktexteditor 6.20.0+p24.04+vunstable+git20251206.0758

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,12 +1,12 @@
 cmake_minimum_required(VERSION 3.16)
 
-set(KF_VERSION "6.21.0") # handled by release scripts
-set(KF_DEP_VERSION "6.20.0") # handled by release scripts
+set(KF_VERSION "6.22.0") # handled by release scripts
+set(KF_DEP_VERSION "6.21.0") # handled by release scripts
 project(KTextEditor VERSION ${KF_VERSION})
 
 # ECM setup
 include(FeatureSummary)
-find_package(ECM 6.20.0  NO_MODULE)
+find_package(ECM 6.21.0  NO_MODULE)
 set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://commits.kde.org/extra-cmake-modules")
 feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== debian/changelog ===
kf6-ktexteditor (6.20.0+p24.04+vunstable+git20251206.0758-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 06 Dec 2025 07:58:27 +0000

## kf6-ktexteditor 6.21.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 cmake_minimum_required(VERSION 3.16)
 
-set(KF_VERSION "6.22.0") # handled by release scripts
+set(KF_VERSION "6.21.0") # handled by release scripts
 set(KF_DEP_VERSION "6.21.0") # handled by release scripts
 project(KTextEditor VERSION ${KF_VERSION})

=== debian/changelog ===
kf6-ktexteditor (6.21.0-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.21.0)

 -- Rik Mills <rikmills@kde.org>  Fri, 12 Dec 2025 11:53:19 +0000

kf6-ktexteditor (6.20.0-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.20.0)
  * Update symbols.

 -- Rik Mills <rikmills@kde.org>  Thu, 13 Nov 2025 16:15:59 +0000

=== debian/control ===
Source: kf6-ktexteditor
Section: libs
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Patrick Franz <deltaone@debian.org>,
Build-Depends: debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-pkgkde-symbolshelper,
               cmake (>= 3.16~),
               doxygen,
               extra-cmake-modules (>= 6.21.0~),
               libeditorconfig-dev,
               libgit2-dev (>= 0.22.0~),
               libjs-underscore,
               libkf6archive-dev (>= 6.21.0~),
               libkf6auth-dev (>= 6.21.0~),
               libkf6config-dev (>= 6.21.0~),
               libkf6guiaddons-dev (>= 6.21.0~),
               libkf6i18n-dev (>= 6.21.0~),
               libkf6kio-dev (>= 6.21.0~),
               libkf6parts-dev (>= 6.21.0~),
               libkf6sonnet-dev (>= 6.21.0~),
               libkf6syntaxhighlighting-dev (>= 6.21.0~),
               libkf6textwidgets-dev (>= 6.21.0~),
               pkgconf,
               qt6-base-dev (>= 6.8.0~),
               qt6-declarative-dev (>= 6.8.0~),
               qt6-speech-dev (>= 6.8.0~),
               qt6-tools-dev (>= 6.8.0~),
               xauth <!nocheck>,
               xvfb <!nocheck>,
Standards-Version: 4.7.0
Homepage: https://invent.kde.org/frameworks/ktexteditor
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-ktexteditor
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-ktexteditor
Rules-Requires-Root: no

Package: libkf6texteditor-data
Section: kde
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Description: provide advanced plain text editing services
 The KTextEditor interfaces - also called KTE interfaces - are a set
 of well-defined interfaces which an application or library can
 implement to provide advanced plain text editing
 services. Applications which utilise this interface can thus allow
 the user to choose which implementation of the editor component to
 use. The only implementation right now is the Kate Editor Component
 (Kate Part).

Package: libkf6texteditor-bin
Architecture: any
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: provide advanced plain text editing services (binaries)
 The KTextEditor interfaces - also called KTE interfaces - are a set
 of well-defined interfaces which an application or library can
 implement to provide advanced plain text editing
 services. Applications which utilise this interface can thus allow
 the user to choose which implementation of the editor component to
 use. The only implementation right now is the Kate Editor Component
 (Kate Part).
 .
 This package contains the helper binaries.

Package: libkf6texteditor-dev
Section: libdevel
Architecture: any
Depends: libkf6parts-dev (>= 6.21.0~),
         libkf6syntaxhighlighting-dev (>= 6.21.0~),
         libkf6texteditor6 (= ${binary:Version}),
         qt6-base-dev (>= 6.8.0~),
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: libkf6texteditor-doc (= ${source:Version}),
Description: provide advanced plain text editing services
 The KTextEditor interfaces - also called KTE interfaces - are a set
 of well-defined interfaces which an application or library can
 implement to provide advanced plain text editing
 services. Applications which utilise this interface can thus allow
 the user to choose which implementation of the editor component to
 use. The only implementation right now is the Kate Editor Component
 (Kate Part).
 .
 Contains development files for ktexteditor.

Package: libkf6texteditor-doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Description: provide advanced plain text editing services (documentation)
 The KTextEditor interfaces - also called KTE interfaces - are a set
 of well-defined interfaces which an application or library can
 implement to provide advanced plain text editing
 services. Applications which utilise this interface can thus allow
 the user to choose which implementation of the editor component to
 use. The only implementation right now is the Kate Editor Component
 (Kate Part).
 .
 This package contains the qch documentation files.
Section: doc

Package: libkf6texteditor-katepart
Architecture: any
Depends: libkf6texteditor6 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: provide advanced plain text editing services
 The KTextEditor interfaces - also called KTE interfaces - are a set
 of well-defined interfaces which an application or library can
 implement to provide advanced plain text editing
 services. Applications which utilise this interface can thus allow
 the user to choose which implementation of the editor component to
 use. The only implementation right now is the Kate Editor Component
 (Kate Part).
 .
 This contains the Kate Part plugin.

Package: libkf6texteditor6
Architecture: any
Multi-Arch: same
Depends: libjs-underscore,
         libkf6texteditor-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: libkf6texteditor-katepart (= ${binary:Version}),
Description: provide advanced plain text editing services
 The KTextEditor interfaces - also called KTE interfaces - are a set
 of well-defined interfaces which an application or library can
 implement to provide advanced plain text editing
 services. Applications which utilise this interface can thus allow
 the user to choose which implementation of the editor component to
 use. The only implementation right now is the Kate Editor Component
 (Kate Part).

## kf6-ktexteditor 6.21.0+p24.04+vstable+git20251231.0256

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 cmake_minimum_required(VERSION 3.16)
 
-set(KF_VERSION "6.21.0") # handled by release scripts
+set(KF_VERSION "6.22.0") # handled by release scripts
 set(KF_DEP_VERSION "6.21.0") # handled by release scripts
 project(KTextEditor VERSION ${KF_VERSION})
 
@@ -80,7 +80,7 @@
 set(EXCLUDE_DEPRECATED_BEFORE_AND_AT 0 CACHE STRING "Control the range of deprecated API excluded from the build [default=0].")
 ecm_set_disabled_deprecation_versions(
     QT 6.3
-    KF 6.19
+    KF 6.21
 )
 
 # define which offscreen platform plugin to use for tests

## kf6-ktexteditor 6.21.0+p24.04+vstable+git20260103.0754

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,12 +1,12 @@
 cmake_minimum_required(VERSION 3.16)
 
-set(KF_VERSION "6.22.0") # handled by release scripts
-set(KF_DEP_VERSION "6.21.0") # handled by release scripts
+set(KF_VERSION "6.23.0") # handled by release scripts
+set(KF_DEP_VERSION "6.22.0") # handled by release scripts
 project(KTextEditor VERSION ${KF_VERSION})
 
 # ECM setup
 include(FeatureSummary)
-find_package(ECM 6.21.0  NO_MODULE)
+find_package(ECM 6.22.0  NO_MODULE)
 set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://commits.kde.org/extra-cmake-modules")
 feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== debian/changelog ===
kf6-ktexteditor (6.21.0+p24.04+vstable+git20260103.0754-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 03 Jan 2026 07:54:13 +0000

kf6-ktexteditor (6.21.0-0neon) Noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 07 Dec 2025 15:11:00 +1000

## kf6-ktexteditor 6.21.0+p24.04+vunstable+git20251207.0943

=== debian/changelog ===
kf6-ktexteditor (6.21.0+p24.04+vunstable+git20251207.0943-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 07 Dec 2025 09:43:21 +0000

## kf6-ktexteditor 6.22.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 cmake_minimum_required(VERSION 3.16)
 
-set(KF_VERSION "6.23.0") # handled by release scripts
+set(KF_VERSION "6.22.0") # handled by release scripts
 set(KF_DEP_VERSION "6.22.0") # handled by release scripts
 project(KTextEditor VERSION ${KF_VERSION})

=== debian/changelog ===
kf6-ktexteditor (6.22.0-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.22.0)

 -- Rik Mills <rikmills@kde.org>  Wed, 07 Jan 2026 18:32:32 +0000

=== debian/control ===
--- 
+++ 
@@ -5,25 +5,25 @@
 XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Patrick Franz <deltaone@debian.org>,
-Build-Depends: debhelper-compat (= 13),
+Build-Depends: cmake (>= 3.16~),
+               debhelper-compat (= 13),
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
-               cmake (>= 3.16~),
                doxygen,
-               extra-cmake-modules (>= 6.21.0~),
+               extra-cmake-modules (>= 6.22.0~),
                libeditorconfig-dev,
                libgit2-dev (>= 0.22.0~),
                libjs-underscore,
-               libkf6archive-dev (>= 6.21.0~),
-               libkf6auth-dev (>= 6.21.0~),
-               libkf6config-dev (>= 6.21.0~),
-               libkf6guiaddons-dev (>= 6.21.0~),
-               libkf6i18n-dev (>= 6.21.0~),
-               libkf6kio-dev (>= 6.21.0~),
-               libkf6parts-dev (>= 6.21.0~),
-               libkf6sonnet-dev (>= 6.21.0~),
-               libkf6syntaxhighlighting-dev (>= 6.21.0~),
-               libkf6textwidgets-dev (>= 6.21.0~),
+               libkf6archive-dev (>= 6.22.0~),
+               libkf6auth-dev (>= 6.22.0~),
+               libkf6config-dev (>= 6.22.0~),
+               libkf6guiaddons-dev (>= 6.22.0~),
+               libkf6i18n-dev (>= 6.22.0~),
+               libkf6kio-dev (>= 6.22.0~),
+               libkf6parts-dev (>= 6.22.0~),
+               libkf6sonnet-dev (>= 6.22.0~),
+               libkf6syntaxhighlighting-dev (>= 6.22.0~),
+               libkf6textwidgets-dev (>= 6.22.0~),
                pkgconf,
                qt6-base-dev (>= 6.8.0~),
                qt6-declarative-dev (>= 6.8.0~),
@@ -69,8 +69,8 @@
 Package: libkf6texteditor-dev
 Section: libdevel
 Architecture: any
-Depends: libkf6parts-dev (>= 6.21.0~),
-         libkf6syntaxhighlighting-dev (>= 6.21.0~),
+Depends: libkf6parts-dev (>= 6.22.0~),
+         libkf6syntaxhighlighting-dev (>= 6.22.0~),
          libkf6texteditor6 (= ${binary:Version}),
          qt6-base-dev (>= 6.8.0~),
          ${misc:Depends},

## kf6-ktexteditor 6.22.0+p24.04+vstable+git20260106.1155

=== debian/changelog ===
kf6-ktexteditor (6.22.0+p24.04+vstable+git20260106.1155-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 06 Jan 2026 11:55:56 +0000

kf6-ktexteditor (6.22.0-0neon) Noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosd.kde@gmail.com>  Tue, 06 Jan 2026 16:42:22 +1000

## kf6-ktexteditor 6.22.0+p24.04+vstable+git20260126.1135

=== debian/changelog ===
kf6-ktexteditor (6.22.0+p24.04+vstable+git20260126.1135-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 26 Jan 2026 11:35:14 +0000

## kf6-ktexteditor 6.22.0+p24.04+vstable+git20260130.1031

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
-cmake_minimum_required(VERSION 3.16)
+cmake_minimum_required(VERSION 3.27)
 
-set(KF_VERSION "6.22.0") # handled by release scripts
+set(KF_VERSION "6.23.0") # handled by release scripts
 set(KF_DEP_VERSION "6.22.0") # handled by release scripts
 project(KTextEditor VERSION ${KF_VERSION})

=== debian/changelog ===
kf6-ktexteditor (6.22.0+p24.04+vstable+git20260130.1031-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 30 Jan 2026 10:32:06 +0000

## kf6-ktexteditor 6.22.0+p24.04+vunstable+git20260126.0926

=== debian/changelog ===
kf6-ktexteditor (6.22.0+p24.04+vunstable+git20260126.0926-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 26 Jan 2026 09:26:46 +0000

## kf6-ktexteditor 6.22.0+p24.04+vunstable+git20260201.0726

=== debian/changelog ===
kf6-ktexteditor (6.22.0+p24.04+vunstable+git20260201.0726-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 01 Feb 2026 07:26:10 +0000

## kf6-ktexteditor 6.23.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,12 +1,12 @@
 cmake_minimum_required(VERSION 3.27)
 
 set(KF_VERSION "6.23.0") # handled by release scripts
-set(KF_DEP_VERSION "6.22.0") # handled by release scripts
+set(KF_DEP_VERSION "6.23.0") # handled by release scripts
 project(KTextEditor VERSION ${KF_VERSION})
 
 # ECM setup
 include(FeatureSummary)
-find_package(ECM 6.22.0  NO_MODULE)
+find_package(ECM 6.23.0  NO_MODULE)
 set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://commits.kde.org/extra-cmake-modules")
 feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== autotests/CMakeLists.txt ===
find_package(Qt6 ${REQUIRED_QT_VERSION} CONFIG REQUIRED Test)
add_definitions(-DQT_FORCE_ASSERTS=1)

include(ECMMarkAsTest)
include(ECMAddTests)

set( EXECUTABLE_OUTPUT_PATH ${CMAKE_CURRENT_BINARY_DIR} )

include_directories(
  # for config.h
  ${CMAKE_BINARY_DIR}

  # for generated ktexteditor headers
  ${CMAKE_BINARY_DIR}/src/include

  # for normal sources
  ${CMAKE_SOURCE_DIR}/src
  ${CMAKE_SOURCE_DIR}/src/include
  ${CMAKE_SOURCE_DIR}/src/buffer
  ${CMAKE_SOURCE_DIR}/src/completion
  ${CMAKE_SOURCE_DIR}/src/dialogs
  ${CMAKE_SOURCE_DIR}/src/document
  ${CMAKE_SOURCE_DIR}/src/script
  ${CMAKE_SOURCE_DIR}/src/mode
  ${CMAKE_SOURCE_DIR}/src/render
  ${CMAKE_SOURCE_DIR}/src/search
  ${CMAKE_SOURCE_DIR}/src/syntax
  ${CMAKE_SOURCE_DIR}/src/undo
  ${CMAKE_SOURCE_DIR}/src/utils
  ${CMAKE_SOURCE_DIR}/src/view
)

add_definitions(-DTEST_DATA_DIR=\"${CMAKE_SOURCE_DIR}/autotests/input/\")
add_definitions(-DJS_DATA_DIR=\"${CMAKE_SOURCE_DIR}/src/script/data/\")
add_definitions(-DJS_SCRIPTTESTER_DATA_DIR=\"${CMAKE_SOURCE_DIR}/src/scripttester/\")

set (KTEXTEDITOR_TEST_LINK_LIBS KF6TextEditor
  KF6::I18n
  KF6::GuiAddons
  KF6::SyntaxHighlighting
  KF6::Codecs
  KF6::Completion
  Qt6::Qml
)

if(ENABLE_PCH)
    file(WRITE ${CMAKE_CURRENT_BINARY_DIR}/pch.cpp "/*empty file*/")
    file(WRITE ${CMAKE_CURRENT_BINARY_DIR}/pch.h
        "#pragma once\n"
        "#include <QObject>\n"
        "#include <QTest>\n"
        "#include <QString>\n"
    )
    add_library(kte_test_pch STATIC ${CMAKE_CURRENT_BINARY_DIR}/pch.cpp)
    target_link_libraries(kte_test_pch ${KTEXTEDITOR_TEST_LINK_LIBS} Qt6::Test)
    target_precompile_headers(kte_test_pch PRIVATE ${CMAKE_CURRENT_BINARY_DIR}/pch.h)
endif()

include(ECMMarkAsTest)

# test executable for encoding
add_executable(kateencodingtest src/kateencodingtest.cpp)
target_link_libraries(kateencodingtest ${KTEXTEDITOR_TEST_LINK_LIBS})
ecm_mark_as_test(kateencodingtest)

# test macro for encoding tests
MACRO(KTEXTEDITOR_ENCODING_TEST _encoding _testname)
  ADD_TEST (NAME encoding_${_testname}_create COMMAND kateencodingtest ${_encoding} ${CMAKE_SOURCE_DIR}/autotests/input/encoding/${_testname} ${CMAKE_CURRENT_BINARY_DIR}/${_testname} )
  ADD_TEST (NAME encoding_${_testname}_diff COMMAND ${CMAKE_COMMAND} -E compare_files ${CMAKE_SOURCE_DIR}/autotests/input/encoding/${_testname} ${CMAKE_CURRENT_BINARY_DIR}/${_testname} )
ENDMACRO(KTEXTEDITOR_ENCODING_TEST)

# add tests

# this file is utf-8, simple
KTEXTEDITOR_ENCODING_TEST ("utf-8" "utf8.txt")

# this file is latin15, but fallback should work!
KTEXTEDITOR_ENCODING_TEST ("utf-8" "latin15.txt")

# this file is utf32, little endian, but fallback should work!
KTEXTEDITOR_ENCODING_TEST ("utf-8" "utf32.txt")

# this file is utf16, little endian, but fallback should work!
KTEXTEDITOR_ENCODING_TEST ("utf-8" "utf16.txt")

# this file is utf32, big endian, but fallback should work!
KTEXTEDITOR_ENCODING_TEST ("utf-8" "utf32be.txt")

# this file is utf16, big endian, but fallback should work!
KTEXTEDITOR_ENCODING_TEST ("utf-8" "utf16be.txt")

# cyrillic utf-8
KTEXTEDITOR_ENCODING_TEST ("utf-8" "cyrillic_utf8.txt")

# cyrillic cp1251
KTEXTEDITOR_ENCODING_TEST ("utf-8" "cp1251.txt")

# cyrillic koi8-r
KTEXTEDITOR_ENCODING_TEST ("utf-8" "koi8-r.txt")

# one character latin-15 test, segfaulted
KTEXTEDITOR_ENCODING_TEST ("utf-8" "one-char-latin-15.txt")

# utf8 bom only, shouldn't produce error
#KTEXTEDITOR_ENCODING_TEST ("utf-8" "utf8-bom-only.txt") // TODO: make Kate::TextBuffer::saveBuffer save the BOM for empty files

# latin15, but coincidentally contains utf8 bom. The "bom" should be treated as normal text
KTEXTEDITOR_ENCODING_TEST ("ISO 8859-15" "latin15-with-utf8-bom.txt")

# test executable for indentation
add_executable(kateindenttest src/indenttest.cpp src/script_test_base.cpp src/testutils.cpp)
target_link_libraries(kateindenttest ${KTEXTEDITOR_TEST_LINK_LIBS} Qt6::Test)
ecm_mark_as_test(kateindenttest)
if(ENABLE_PCH)
    target_precompile_headers(kateindenttest REUSE_FROM kte_test_pch)
endif()

# test macro for indentation tests
MACRO(KTEXTEDITOR_INDENT_TEST _testname)
  ADD_TEST (NAME kateindenttest_${_testname} COMMAND kateindenttest ${OFFSCREEN_QPA} ${_testname})
ENDMACRO(KTEXTEDITOR_INDENT_TEST)

# test different indenters separately to have smaller test chunks, that takes LONG
KTEXTEDITOR_INDENT_TEST ("testPython")
KTEXTEDITOR_INDENT_TEST ("testJulia")
KTEXTEDITOR_INDENT_TEST ("testCstyle")
KTEXTEDITOR_INDENT_TEST ("testCppstyle")
KTEXTEDITOR_INDENT_TEST ("testCMake")
KTEXTEDITOR_INDENT_TEST ("testRuby")
KTEXTEDITOR_INDENT_TEST ("testHaskell")
KTEXTEDITOR_INDENT_TEST ("testLatex")
KTEXTEDITOR_INDENT_TEST ("testPascal")
KTEXTEDITOR_INDENT_TEST ("testAda")
KTEXTEDITOR_INDENT_TEST ("testXml")
KTEXTEDITOR_INDENT_TEST ("testNormal")
KTEXTEDITOR_INDENT_TEST ("testReplicode")

add_test(
    NAME scripts_test
    COMMAND ktexteditor_script_tester
        ${CMAKE_CURRENT_SOURCE_DIR}/input/commands/
        ${CMAKE_CURRENT_SOURCE_DIR}/input/scripting/
)

macro(ktexteditor_unit_test_offscreen testname)
    add_executable(${testname} src/${testname}.cpp ${ARGN})
    target_link_libraries(${testname} ${KTEXTEDITOR_TEST_LINK_LIBS} Qt6::Test)
    ecm_mark_as_test(${testname})
    if(ENABLE_PCH)
        target_precompile_headers(${testname} REUSE_FROM kte_test_pch)
    endif()
    ADD_TEST (NAME ${testname} COMMAND ${testname} ${OFFSCREEN_QPA})
endmacro()

ktexteditor_unit_test_offscreen(katetextbuffertest)
ktexteditor_unit_test_offscreen(range_test)
ktexteditor_unit_test_offscreen(cursorwords_test)
ktexteditor_unit_test_offscreen(undomanager_test)
ktexteditor_unit_test_offscreen(plaintextsearch_test)
ktexteditor_unit_test_offscreen(regexpsearch_test)
ktexteditor_unit_test_offscreen(scriptdocument_test)
ktexteditor_unit_test_offscreen(scripttester_test ../src/scripttester/scripttester.cpp)
ktexteditor_unit_test_offscreen(wordcompletiontest)
ktexteditor_unit_test_offscreen(searchbar_test)
ktexteditor_unit_test_offscreen(movingcursor_test)
ktexteditor_unit_test_offscreen(configinterface_test)
ktexteditor_unit_test_offscreen(kte_documentcursor)
ktexteditor_unit_test_offscreen(katedocument_test)
ktexteditor_unit_test_offscreen(movingrange_test)
ktexteditor_unit_test_offscreen(revision_test)
ktexteditor_unit_test_offscreen(modificationsystem_test)
ktexteditor_unit_test_offscreen(variable_test)
ktexteditor_unit_test_offscreen(templatehandler_test)
ktexteditor_unit_test_offscreen(evaluate_script_test)
ktexteditor_unit_test_offscreen(camelcursortest)
ktexteditor_unit_test_offscreen(encodingtest)
ktexteditor_unit_test_offscreen(indentdetect_test)
ktexteditor_unit_test_offscreen(multicursortest)
ktexteditor_unit_test_offscreen(katemodemanager_test src/katemodemanager_test_base.cpp)
ktexteditor_unit_test_offscreen(kateview_test)
ktexteditor_unit_test_offscreen(inlinenote_test)
ktexteditor_unit_test_offscreen(completion_test src/codecompletiontestmodel.cpp src/codecompletiontestmodels.cpp)
ktexteditor_unit_test_offscreen(bugs_test src/testutils.cpp)
ktexteditor_unit_test_offscreen(katefoldingtest)
ktexteditor_unit_test_offscreen(messagetest)
ktexteditor_unit_test_offscreen(swapfiletest)

add_subdirectory(src/vimode)


#
# benchmarks, don't execute during normal testing
# they don't test additional stuff but only hang the CI
#
add_executable(katemodemanager_benchmark src/katemodemanager_test_base.cpp src/katemodemanager_benchmark.cpp)
ecm_mark_nongui_executable(katemodemanager_benchmark)
add_test(NAME katemodemanager_benchmark COMMAND katemodemanager_benchmark CONFIGURATIONS BENCHMARK)
target_link_libraries(katemodemanager_benchmark ${KTEXTEDITOR_TEST_LINK_LIBS} Qt6::Test)

add_executable(bench_search src/benchmarks/bench_search.cpp)
target_link_libraries(bench_search PRIVATE ${KTEXTEDITOR_TEST_LINK_LIBS})

add_executable(example src/example.cpp)
target_link_libraries(example PRIVATE ${KTEXTEDITOR_TEST_LINK_LIBS})

=== debian/changelog ===
kf6-ktexteditor (6.23.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.23.0).
  * Update build-deps and deps with the info from cmake.
  * Bump Standards-Version to 4.7.3, no change required.
  * Drop Rules-Requires-Root: no, not needed anymore since trixie.
  * Drop Priority: optional, not needed anymore since dpkg 1.22.13.
  * Update symbols from build for 6.23.0.
  * Drop armel bits, as that architecture was discontinued.
  * Add/update Nicolas Fella’s key in upstream keyring.
  * Use DEB_HOST_MULTIARCH in libraries install path.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 21 Feb 2026 16:47:57 +0100

=== debian/control ===
--- 
+++ 
@@ -1,41 +1,40 @@
 Source: kf6-ktexteditor
 Section: libs
-Priority: optional
-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Patrick Franz <deltaone@debian.org>,
-Build-Depends: cmake (>= 3.16~),
-               debhelper-compat (= 13),
+Build-Depends: debhelper-compat (= 13),
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
+               cmake (>= 3.27~),
                doxygen,
-               extra-cmake-modules (>= 6.22.0~),
+               extra-cmake-modules (>= 6.23.0~),
+               libcups2-dev,
                libeditorconfig-dev,
                libgit2-dev (>= 0.22.0~),
                libjs-underscore,
-               libkf6archive-dev (>= 6.22.0~),
-               libkf6auth-dev (>= 6.22.0~),
-               libkf6config-dev (>= 6.22.0~),
-               libkf6guiaddons-dev (>= 6.22.0~),
-               libkf6i18n-dev (>= 6.22.0~),
-               libkf6kio-dev (>= 6.22.0~),
-               libkf6parts-dev (>= 6.22.0~),
-               libkf6sonnet-dev (>= 6.22.0~),
-               libkf6syntaxhighlighting-dev (>= 6.22.0~),
-               libkf6textwidgets-dev (>= 6.22.0~),
+               libkf6archive-dev (>= 6.23.0~),
+               libkf6auth-dev (>= 6.23.0~),
+               libkf6colorscheme-dev (>= 6.23.0~),
+               libkf6config-dev (>= 6.23.0~),
+               libkf6guiaddons-dev (>= 6.23.0~),
+               libkf6i18n-dev (>= 6.23.0~),
+               libkf6kio-dev (>= 6.23.0~),
+               libkf6parts-dev (>= 6.23.0~),
+               libkf6sonnet-dev (>= 6.23.0~),
+               libkf6syntaxhighlighting-dev (>= 6.23.0~),
+               libkf6textwidgets-dev (>= 6.7.0~),
                pkgconf,
                qt6-base-dev (>= 6.8.0~),
                qt6-declarative-dev (>= 6.8.0~),
                qt6-speech-dev (>= 6.8.0~),
-               qt6-tools-dev (>= 6.8.0~),
+               qt6-tools-dev (>= 6.5.0~),
                xauth <!nocheck>,
                xvfb <!nocheck>,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.3
 Homepage: https://invent.kde.org/frameworks/ktexteditor
-Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-ktexteditor
-Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-ktexteditor
-Rules-Requires-Root: no
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kf6-ktexteditor
+Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kf6-ktexteditor.git
 
 Package: libkf6texteditor-data
 Section: kde
@@ -54,7 +53,8 @@
 Package: libkf6texteditor-bin
 Architecture: any
 Multi-Arch: foreign
-Depends: ${misc:Depends}, ${shlibs:Depends},
+Depends: ${misc:Depends},
+         ${shlibs:Depends},
 Description: provide advanced plain text editing services (binaries)
  The KTextEditor interfaces - also called KTE interfaces - are a set
  of well-defined interfaces which an application or library can
@@ -69,8 +69,8 @@
 Package: libkf6texteditor-dev
 Section: libdevel
 Architecture: any
-Depends: libkf6parts-dev (>= 6.22.0~),
-         libkf6syntaxhighlighting-dev (>= 6.22.0~),
+Depends: libkf6parts-dev (>= 6.23.0~),
+         libkf6syntaxhighlighting-dev (>= 6.23.0~),
          libkf6texteditor6 (= ${binary:Version}),
          qt6-base-dev (>= 6.8.0~),
          ${misc:Depends},
